# OssetianOssetic

@Serializable(with = IetfLangSerializer::class )
sealed interface OssetianOssetic : IetfLang (source)

#### Inheritors

GE
RU
Companion

## Types

Companion
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object Companion : IetfLang.OssetianOssetic
GE
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object GE : IetfLang.OssetianOssetic
RU
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object RU : IetfLang.OssetianOssetic

## Properties

code
Link copied to clipboard
abstract val code : String
parentLang
Link copied to clipboard
open val parentLang : IetfLang ?
withoutDialect
Link copied to clipboard
open val withoutDialect : String

## Functions

toJavaLocale
Link copied to clipboard
fun IetfLang . toJavaLocale (): Locale
toJavaLocaleOrDefault
Link copied to clipboard
fun IetfLang ?. toJavaLocaleOrDefault (): Locale